System.Web 2.0.0.0 System.Web.UI.StateManagedCollection

The class represents a collection of objects used by data-bound controls to specify how their child controls are presented. The class derives from , an abstract base collection class used specifically to store objects.

A object influences the behavior of a object. objects that are dynamically added to the collection will be re-added to the control when state is restored. This means that a field needs to be added, removed, or changed just once instead of on each postback, as most collection types in ASP.NET require.

(The class implements the interface, which enables it to store its state in ASP.NET view state. )

Use the class to programmatically manage a set of objects. Note that it is more common to define these fields declaratively.

You can add, insert, and remove objects using the appropriate methods of the class. To programmatically retrieve objects from a collection, use one of following methods:

Use the indexer to get a single object from the collection using array notation.

Use the method to create a -implemented object, which can then be used to get items from the collection.

The property specifies the total number of items in the collection, and is commonly used to determine the upper bound of the collection. You can add items to and remove items from the collection using the , , , and methods.

If you are using the or control, the objects that are automatically created (for example, when the property is true) are not stored in the publicly accessible fields collection. You can only access and manipulate objects that are not automatically generated.

The following table lists the different data control field classes and how they are used.

Parameter Class

Description

The abstract base class for all fields.

A data-bound control field that is used to bind to text or data retrieved from an ASP.NET data source control.

A data-bound control field that encapsulates general button functionality. and are derived from it.

A data-bound control field that displays at least one button.

A data-bound control field that displays a control.

A data-bound control field that displays actions that can be performed on the data displayed by the row (or column), such as edit, update, or delete.

A data-bound control field that displays a control.

A data-bound control field that displays an control.

A data-bound control field that displays custom content in a data-bound control.

Represents a collection of objects that are used by data-bound controls such as and .

- Constructor

  Use this constructor to create a new instance of the class.

  This constructor is used primarily by control developers.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void ``

  Use the method to append a object to the end of the collection. This implementation of the method takes the object specified by the parameter and appends it to the collection.

  Appends the specified object to the end of the collection.

  The to append to the collection. 2.0.0.0
- Method
  System.Web.UI.WebControls.DataControlFieldCollection

  Use the method to create a copy of the current collection. This method is used primarily by design-time dialog boxes to implement rollback behavior when an operation is canceled.

  Creates a copy of the current collection.

  A that contains a copy of each data control field in the current collection.

  2.0.0.0
- Method
  System.Boolean ``

  This method performs a linear search. It determines equality by calling .

  Determines whether the collection contains a specific object.

  true if the contains the specified field; otherwise, false.

  The to locate in the . 2.0.0.0
- Method
  System.Void `` `` To be added.

  Copies the entire collection to a compatible one-dimensional , starting at the specified index of the target array.

  The one-dimensional that is the destination of the elements copied from . The must have zero-based indexing. The zero-based index in at which copying begins. 2.0.0.0
- Method
  System.Object `` To be added. To be added. To be added. To be added. 2.0.0.0
- Event
  System.EventHandler

  The event is raised when the , , or method is called.

  For more information about handling events, see Consuming Events.

  Occurs when the fields in the collection change, usually as the result of a , , or method call. This event is also raised anytime a in the collection raises its FieldChanged event.

  2.0.0.0
- Method
  System.Type[] To be added. To be added. To be added. 2.0.0.0
- Method
  System.Int32 `` To be added.

  Determines the index of a specific object in the collection.

  The index of the parameter, if it is found in the collection; otherwise, -1.

  The to locate in the collection. 2.0.0.0
- Method
  System.Void `` `` To be added.

  Inserts the specified object into the collection at the specified index.

  The zero-based index at which the is inserted. The to insert. 2.0.0.0
- Property
  System.ComponentModel.Browsable(false)
  System.Web.UI.WebControls.DataControlField `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void To be added. To be added. 2.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added.

  Removes the specified object from the collection.

  The to remove from the . 2.0.0.0
- Method
  System.Void `` To be added.

  Removes the object at the specified index from the collection.

  The index of the to remove. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0